Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jepexamples.diagnostics
Class SpeedTest.EvaluationConfig

    java.lang.Object
      com.singularsys.jepexamples.diagnostics.SpeedTest.EvaluationConfig

Direct Known Subclasses:
  SpeedTest.BDConfig, SpeedTest.JepConfig, SpeedTest.OldConfig, SpeedTest.RealConfig

Enclosing class:
  SpeedTest

    public abstract static class SpeedTest.EvaluationConfig

extends java.lang.Object

Basic class to set the evaluation context

Field Summary
`protected int` | `div` Factor to reduce the number of iterations for this evaluator.
`protected Jep` | `jep`
`protected SpeedTest` | `st`

Constructor Summary
`SpeedTest.EvaluationConfig(java.lang.String name)`

Method Summary
`abstract java.lang.String` | `description()`
`long` | `doEval(java.lang.String[] eqns, java.lang.String[] varNames, double[][] vals)`
`long` | `doEval(java.lang.String eqn, java.lang.String[] varNames, double[][] vals)`
`java.lang.Object` | `getValue(double d)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jep

    protected Jep jep

### div

    protected int div

  Factor to reduce the number of iterations for this evaluator. Useful for very slow evaluators.

### st

    protected SpeedTest st

Constructor Detail

### SpeedTest.EvaluationConfig

    public SpeedTest.EvaluationConfig(java.lang.String name)

Parameters:
  `name` -

Method Detail

### getValue

    public java.lang.Object getValue(double d)

### description

    public abstract java.lang.String description()

### doEval

    public long doEval(java.lang.String eqn,
                       java.lang.String[] varNames,
                       double[][] vals)

### doEval

    public long doEval(java.lang.String[] eqns,
                       java.lang.String[] varNames,
                       double[][] vals)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep